package cn.com.infosec.asn1.pkcs;

import cn.com.infosec.asn1.DERObjectIdentifier;

public interface PKCSObjectIdentifiers {
   String pkcs_1 = "1.2.840.113549.1.1";
   DERObjectIdentifier rsaEncryption = new DERObjectIdentifier("1.2.840.113549.1.1.1");
   DERObjectIdentifier md2WithRSAEncryption = new DERObjectIdentifier("1.2.840.113549.1.1.2");
   DERObjectIdentifier md4WithRSAEncryption = new DERObjectIdentifier("1.2.840.113549.1.1.3");
   DERObjectIdentifier md5WithRSAEncryption = new DERObjectIdentifier("1.2.840.113549.1.1.4");
   DERObjectIdentifier sha1WithRSAEncryption = new DERObjectIdentifier("1.2.840.113549.1.1.5");
   DERObjectIdentifier srsaOAEPEncryptionSET = new DERObjectIdentifier("1.2.840.113549.1.1.6");
   DERObjectIdentifier id_RSAES_OAEP = new DERObjectIdentifier("1.2.840.113549.1.1.7");
   DERObjectIdentifier id_mgf1 = new DERObjectIdentifier("1.2.840.113549.1.1.8");
   DERObjectIdentifier id_pSpecified = new DERObjectIdentifier("1.2.840.113549.1.1.9");
   DERObjectIdentifier id_RSASSA_PSS = new DERObjectIdentifier("1.2.840.113549.1.1.10");
   DERObjectIdentifier sha256WithRSAEncryption = new DERObjectIdentifier("1.2.840.113549.1.1.11");
   DERObjectIdentifier sha384WithRSAEncryption = new DERObjectIdentifier("1.2.840.113549.1.1.12");
   DERObjectIdentifier sha512WithRSAEncryption = new DERObjectIdentifier("1.2.840.113549.1.1.13");
   DERObjectIdentifier sha224WithRSAEncryption = new DERObjectIdentifier("1.2.840.113549.1.1.14");
   String pkcs_3 = "1.2.840.113549.1.3";
   DERObjectIdentifier dhKeyAgreement = new DERObjectIdentifier("1.2.840.113549.1.3.1");
   String pkcs_5 = "1.2.840.113549.1.5";
   DERObjectIdentifier pbeWithMD2AndDES_CBC = new DERObjectIdentifier("1.2.840.113549.1.5.1");
   DERObjectIdentifier pbeWithMD2AndRC2_CBC = new DERObjectIdentifier("1.2.840.113549.1.5.4");
   DERObjectIdentifier pbeWithMD5AndDES_CBC = new DERObjectIdentifier("1.2.840.113549.1.5.3");
   DERObjectIdentifier pbeWithMD5AndRC2_CBC = new DERObjectIdentifier("1.2.840.113549.1.5.6");
   DERObjectIdentifier pbeWithSHA1AndDES_CBC = new DERObjectIdentifier("1.2.840.113549.1.5.10");
   DERObjectIdentifier pbeWithSHA1AndRC2_CBC = new DERObjectIdentifier("1.2.840.113549.1.5.11");
   DERObjectIdentifier id_PBES2 = new DERObjectIdentifier("1.2.840.113549.1.5.13");
   DERObjectIdentifier id_PBKDF2 = new DERObjectIdentifier("1.2.840.113549.1.5.12");
   String encryptionAlgorithm = "1.2.840.113549.3";
   DERObjectIdentifier des_EDE3_CBC = new DERObjectIdentifier("1.2.840.113549.3.7");
   DERObjectIdentifier RC2_CBC = new DERObjectIdentifier("1.2.840.113549.3.2");
   String digestAlgorithm = "1.2.840.113549.2";
   DERObjectIdentifier md2 = new DERObjectIdentifier("1.2.840.113549.2.2");
   DERObjectIdentifier md4 = new DERObjectIdentifier("1.2.840.113549.2.4");
   DERObjectIdentifier md5 = new DERObjectIdentifier("1.2.840.113549.2.5");
   DERObjectIdentifier id_hmacWithSHA1 = new DERObjectIdentifier("1.2.840.113549.2.7");
   DERObjectIdentifier id_hmacWithSHA224 = new DERObjectIdentifier("1.2.840.113549.2.8");
   DERObjectIdentifier id_hmacWithSHA256 = new DERObjectIdentifier("1.2.840.113549.2.9");
   DERObjectIdentifier id_hmacWithSHA384 = new DERObjectIdentifier("1.2.840.113549.2.10");
   DERObjectIdentifier id_hmacWithSHA512 = new DERObjectIdentifier("1.2.840.113549.2.11");
   String pkcs_7 = "1.2.840.113549.1.7";
   DERObjectIdentifier data = new DERObjectIdentifier("1.2.840.113549.1.7.1");
   DERObjectIdentifier signedData = new DERObjectIdentifier("1.2.840.113549.1.7.2");
   DERObjectIdentifier envelopedData = new DERObjectIdentifier("1.2.840.113549.1.7.3");
   DERObjectIdentifier signedAndEnvelopedData = new DERObjectIdentifier("1.2.840.113549.1.7.4");
   DERObjectIdentifier digestedData = new DERObjectIdentifier("1.2.840.113549.1.7.5");
   DERObjectIdentifier encryptedData = new DERObjectIdentifier("1.2.840.113549.1.7.6");
   String pkcs_9 = "1.2.840.113549.1.9";
   DERObjectIdentifier pkcs_9_at_emailAddress = new DERObjectIdentifier("1.2.840.113549.1.9.1");
   DERObjectIdentifier pkcs_9_at_unstructuredName = new DERObjectIdentifier("1.2.840.113549.1.9.2");
   DERObjectIdentifier pkcs_9_at_contentType = new DERObjectIdentifier("1.2.840.113549.1.9.3");
   DERObjectIdentifier pkcs_9_at_messageDigest = new DERObjectIdentifier("1.2.840.113549.1.9.4");
   DERObjectIdentifier pkcs_9_at_signingTime = new DERObjectIdentifier("1.2.840.113549.1.9.5");
   DERObjectIdentifier pkcs_9_at_counterSignature = new DERObjectIdentifier("1.2.840.113549.1.9.6");
   DERObjectIdentifier pkcs_9_at_challengePassword = new DERObjectIdentifier("1.2.840.113549.1.9.7");
   DERObjectIdentifier pkcs_9_at_unstructuredAddress = new DERObjectIdentifier("1.2.840.113549.1.9.8");
   DERObjectIdentifier pkcs_9_at_extendedCertificateAttributes = new DERObjectIdentifier("1.2.840.113549.1.9.9");
   DERObjectIdentifier pkcs_9_at_signingDescription = new DERObjectIdentifier("1.2.840.113549.1.9.13");
   DERObjectIdentifier pkcs_9_at_extensionRequest = new DERObjectIdentifier("1.2.840.113549.1.9.14");
   DERObjectIdentifier pkcs_9_at_smimeCapabilities = new DERObjectIdentifier("1.2.840.113549.1.9.15");
   DERObjectIdentifier pkcs_9_at_friendlyName = new DERObjectIdentifier("1.2.840.113549.1.9.20");
   DERObjectIdentifier pkcs_9_at_localKeyId = new DERObjectIdentifier("1.2.840.113549.1.9.21");
   /** @deprecated */
   DERObjectIdentifier x509certType = new DERObjectIdentifier("1.2.840.113549.1.9.22.1");
   String certTypes = "1.2.840.113549.1.9.22";
   DERObjectIdentifier x509Certificate = new DERObjectIdentifier("1.2.840.113549.1.9.22.1");
   DERObjectIdentifier sdsiCertificate = new DERObjectIdentifier("1.2.840.113549.1.9.22.2");
   String crlTypes = "1.2.840.113549.1.9.23";
   DERObjectIdentifier x509Crl = new DERObjectIdentifier("1.2.840.113549.1.9.23.1");
   DERObjectIdentifier id_alg_PWRI_KEK = new DERObjectIdentifier("1.2.840.113549.1.9.16.3.9");
   DERObjectIdentifier preferSignedData = new DERObjectIdentifier("1.2.840.113549.1.9.15.1");
   DERObjectIdentifier canNotDecryptAny = new DERObjectIdentifier("1.2.840.113549.1.9.15.2");
   DERObjectIdentifier sMIMECapabilitiesVersions = new DERObjectIdentifier("1.2.840.113549.1.9.15.3");
   DERObjectIdentifier id_aa_receiptRequest = new DERObjectIdentifier("1.2.840.113549.1.9.16.2.1");
   String id_ct = "1.2.840.113549.1.9.16.1";
   DERObjectIdentifier id_ct_TSTInfo = new DERObjectIdentifier("1.2.840.113549.1.9.16.1.4");
   DERObjectIdentifier id_ct_compressedData = new DERObjectIdentifier("1.2.840.113549.1.9.16.1.9");
   String id_cti = "1.2.840.113549.1.9.16.6";
   DERObjectIdentifier id_cti_ets_proofOfOrigin = new DERObjectIdentifier("1.2.840.113549.1.9.16.6.1");
   DERObjectIdentifier id_cti_ets_proofOfReceipt = new DERObjectIdentifier("1.2.840.113549.1.9.16.6.2");
   DERObjectIdentifier id_cti_ets_proofOfDelivery = new DERObjectIdentifier("1.2.840.113549.1.9.16.6.3");
   DERObjectIdentifier id_cti_ets_proofOfSender = new DERObjectIdentifier("1.2.840.113549.1.9.16.6.4");
   DERObjectIdentifier id_cti_ets_proofOfApproval = new DERObjectIdentifier("1.2.840.113549.1.9.16.6.5");
   DERObjectIdentifier id_cti_ets_proofOfCreation = new DERObjectIdentifier("1.2.840.113549.1.9.16.6.6");
   String id_aa = "1.2.840.113549.1.9.16.2";
   DERObjectIdentifier id_aa_contentHint = new DERObjectIdentifier("1.2.840.113549.1.9.16.2.4");
   DERObjectIdentifier id_aa_encrypKeyPref = new DERObjectIdentifier("1.2.840.113549.1.9.16.2.11");
   DERObjectIdentifier id_aa_signingCertificate = new DERObjectIdentifier("1.2.840.113549.1.9.16.2.12");
   DERObjectIdentifier id_aa_signingCertificateV2 = new DERObjectIdentifier("1.2.840.113549.1.9.16.2.47");
   DERObjectIdentifier id_aa_contentIdentifier = new DERObjectIdentifier("1.2.840.113549.1.9.16.2.7");
   DERObjectIdentifier id_aa_signatureTimeStampToken = new DERObjectIdentifier("1.2.840.113549.1.9.16.2.14");
   DERObjectIdentifier id_aa_ets_sigPolicyId;
   DERObjectIdentifier id_aa_ets_commitmentType;
   DERObjectIdentifier id_aa_ets_signerLocation;
   DERObjectIdentifier id_aa_ets_signerAttr;
   DERObjectIdentifier id_aa_ets_otherSigCert;
   DERObjectIdentifier id_aa_ets_contentTimestamp;
   DERObjectIdentifier id_aa_ets_certificateRefs;
   DERObjectIdentifier id_aa_ets_revocationRefs;
   DERObjectIdentifier id_aa_ets_certValues;
   DERObjectIdentifier id_aa_ets_revocationValues;
   DERObjectIdentifier id_aa_ets_escTimeStamp;
   DERObjectIdentifier id_aa_ets_certCRLTimestamp;
   DERObjectIdentifier id_aa_ets_archiveTimestamp;
   /** @deprecated */
   DERObjectIdentifier id_aa_sigPolicyId;
   /** @deprecated */
   DERObjectIdentifier id_aa_commitmentType;
   /** @deprecated */
   DERObjectIdentifier id_aa_signerLocation;
   /** @deprecated */
   DERObjectIdentifier id_aa_otherSigCert;
   String id_spq = "1.2.840.113549.1.9.16.5";
   DERObjectIdentifier id_spq_ets_uri;
   DERObjectIdentifier id_spq_ets_unotice;
   String pkcs_12 = "1.2.840.113549.1.12";
   String bagtypes = "1.2.840.113549.1.12.10.1";
   DERObjectIdentifier keyBag;
   DERObjectIdentifier pkcs8ShroudedKeyBag;
   DERObjectIdentifier certBag;
   DERObjectIdentifier crlBag;
   DERObjectIdentifier secretBag;
   DERObjectIdentifier safeContentsBag;
   String pkcs_12PbeIds = "1.2.840.113549.1.12.1";
   DERObjectIdentifier pbeWithSHAAnd128BitRC4;
   DERObjectIdentifier pbeWithSHAAnd40BitRC4;
   DERObjectIdentifier pbeWithSHAAnd3_KeyTripleDES_CBC;
   DERObjectIdentifier pbeWithSHAAnd2_KeyTripleDES_CBC;
   DERObjectIdentifier pbeWithSHAAnd128BitRC2_CBC;
   DERObjectIdentifier pbewithSHAAnd40BitRC2_CBC;
   DERObjectIdentifier id_alg_CMS3DESwrap;
   DERObjectIdentifier id_alg_CMSRC2wrap;

   static {
      DERObjectIdentifier var0;
      DERObjectIdentifier var10000 = var0 = new DERObjectIdentifier;
      var10000.<init>("1.2.840.113549.1.9.16.2.15");
      id_aa_ets_sigPolicyId = var10000;
      DERObjectIdentifier var1;
      var10000 = var1 = new DERObjectIdentifier;
      var10000.<init>("1.2.840.113549.1.9.16.2.16");
      id_aa_ets_commitmentType = var10000;
      DERObjectIdentifier var2;
      var10000 = var2 = new DERObjectIdentifier;
      var10000.<init>("1.2.840.113549.1.9.16.2.17");
      id_aa_ets_signerLocation = var10000;
      id_aa_ets_signerAttr = new DERObjectIdentifier("1.2.840.113549.1.9.16.2.18");
      DERObjectIdentifier var3;
      var10000 = var3 = new DERObjectIdentifier;
      var3.<init>("1.2.840.113549.1.9.16.2.19");
      id_aa_ets_otherSigCert = var3;
      id_aa_ets_contentTimestamp = new DERObjectIdentifier("1.2.840.113549.1.9.16.2.20");
      id_aa_ets_certificateRefs = new DERObjectIdentifier("1.2.840.113549.1.9.16.2.21");
      id_aa_ets_revocationRefs = new DERObjectIdentifier("1.2.840.113549.1.9.16.2.22");
      id_aa_ets_certValues = new DERObjectIdentifier("1.2.840.113549.1.9.16.2.23");
      id_aa_ets_revocationValues = new DERObjectIdentifier("1.2.840.113549.1.9.16.2.24");
      id_aa_ets_escTimeStamp = new DERObjectIdentifier("1.2.840.113549.1.9.16.2.25");
      id_aa_ets_certCRLTimestamp = new DERObjectIdentifier("1.2.840.113549.1.9.16.2.26");
      id_aa_ets_archiveTimestamp = new DERObjectIdentifier("1.2.840.113549.1.9.16.2.27");
      id_aa_sigPolicyId = var0;
      id_aa_commitmentType = var1;
      id_aa_signerLocation = var2;
      id_aa_otherSigCert = var10000;
      id_spq_ets_uri = new DERObjectIdentifier("1.2.840.113549.1.9.16.5.1");
      id_spq_ets_unotice = new DERObjectIdentifier("1.2.840.113549.1.9.16.5.2");
      keyBag = new DERObjectIdentifier("1.2.840.113549.1.12.10.1.1");
      pkcs8ShroudedKeyBag = new DERObjectIdentifier("1.2.840.113549.1.12.10.1.2");
      certBag = new DERObjectIdentifier("1.2.840.113549.1.12.10.1.3");
      crlBag = new DERObjectIdentifier("1.2.840.113549.1.12.10.1.4");
      secretBag = new DERObjectIdentifier("1.2.840.113549.1.12.10.1.5");
      safeContentsBag = new DERObjectIdentifier("1.2.840.113549.1.12.10.1.6");
      pbeWithSHAAnd128BitRC4 = new DERObjectIdentifier("1.2.840.113549.1.12.1.1");
      pbeWithSHAAnd40BitRC4 = new DERObjectIdentifier("1.2.840.113549.1.12.1.2");
      pbeWithSHAAnd3_KeyTripleDES_CBC = new DERObjectIdentifier("1.2.840.113549.1.12.1.3");
      pbeWithSHAAnd2_KeyTripleDES_CBC = new DERObjectIdentifier("1.2.840.113549.1.12.1.4");
      pbeWithSHAAnd128BitRC2_CBC = new DERObjectIdentifier("1.2.840.113549.1.12.1.5");
      pbewithSHAAnd40BitRC2_CBC = new DERObjectIdentifier("1.2.840.113549.1.12.1.6");
      id_alg_CMS3DESwrap = new DERObjectIdentifier("1.2.840.113549.1.9.16.3.6");
      id_alg_CMSRC2wrap = new DERObjectIdentifier("1.2.840.113549.1.9.16.3.7");
   }
}
